/*
 * PROPRIETARY INFORMATION.  This software is proprietary to
 * Side Effects Inc., and is not to be reproduced,
 * transmitted, or disclosed in any way without written permission.
 *
 * Produced by:
 *	Mark Elendt
 *	Side Effects Software Inc.
 *	20 Maud St.
 *	Toronto, Ontario,  M5V 2M5
 *	Canada
 *	416-366-4607
 *
 */

light
attenlight( 
    float intensity = 1;			/* Default intensity */
    color lightcolor = .8;			/* Default color */
    point from = point "shader" (0,0,0);	/* Default light position */
    float atten = 1.E6;				/* Default attenuation */
)
{
    illuminate(from)
	Cl = (intensity * atten / (atten + sqrt(L.L))) * lightcolor;
}
