surface paintedplastic(
    float Ka = 1, Kd = 0.5, Ks = 0.5, roughness = 0.1;
    color specularcolor = 1;
    string texturename = "";)
{
    normal Nf;
    color Ct;

    Nf = faceforward(normalize(N), I);
    if (texturename != "")
        Ct = color texture(texturename);
    else
        Ct = 1.0;

    Oi = Os;
    Ci = Os * (Cs * Ct * (Ka * ambient() + Kd * diffuse(Nf)) + 
        specularcolor * Ks * specular(Nf, normalize(-I), roughness));
}
