light shadowpoint(
    float intensity = 1;
    color lightcolor = 1;
    point from = point "shader" (0, 0, 0);
    string shadowname = "";
    float samples = 16;
    float width = 1;)
{
    illuminate (from) {
        Cl = intensity * lightcolor / (L . L);
        if (shadowname != "")
            Cl *= 1 - shadow(shadowname, Ps, "samples", samples,
                "swidth", width, "twidth", width);
    }
}
