surface shinymetal(
    float Ka = 1, Ks = 1, Kr = 1, roughness = 0.1;
    string texturename = "";)
{
    normal Nf;
    color Cr;

    Nf = faceforward(normalize(N), I);
    if (texturename != "")
        Cr = Kr * color environment(texturename,
            vtransform("world", reflect(I, Nf)));
    else
        Cr = 0;

    Oi = Os;
    Ci = Os * Cs * (Ka * ambient() +
        Ks * specular(Nf, normalize(-I), roughness) + Cr);
}
