surface plastic(
    float Ka = 1, Kd = 0.5, Ks = 0.5, roughness = 0.1;
    color specularcolor = 1)
{
    normal Nf;

    Nf = faceforward(normalize(N), I);

    Oi = Os;
    Ci = Os * (Cs * (Ka * ambient() + Kd * diffuse(Nf)) + 
        specularcolor * Ks * specular(Nf, normalize(-I), roughness));
}
